GET

studentcontacts API

Retrieve and manage studentcontacts records from the Apps4Edu sync database.

Endpoint Path

GET /api/studentcontacts

CURL Example

curl "https://api.apps4education.co.uk/api/studentcontacts?api_token=YOUR_TOKEN" \
-H "Accept: application/json"
    

Field Definitions

Field Type
id bigint
studentContactID int
studentID int
contactID int
contactRelationType varchar
contactPriority int
contactPriorityTelephoneNumber varchar
salutation varchar
parentResponsibility tinyint
correspondence tinyint
studentCorrespondence tinyint
courtOrderRestriction tinyint
parentalBallot tinyint
armedForceMember tinyint
translatorRequired tinyint
livesWithStudent tinyint
contactBloodGroup varchar
contactNHSNumber varchar
contactMotherTongueState varchar
firstLanguage varchar
alternativeContactNotes text
sourceOfContactPriority varchar
formsOfWrittenContactDescription varchar
homeAddressSameAsStudent varchar
created_at timestamp
updated_at timestamp
school_id bigint

Response Body (Sample)

{
  "data": [
    {
      "id": 101,
      "studentContactID": 101,
      "studentID": 101,
      "contactID": 101,
      "contactRelationType": "example_value",
      "contactPriority": "example_value",
      "contactPriorityTelephoneNumber": "example_value",
      "salutation": "example_value",
      "parentResponsibility": "example_value",
      "correspondence": "example_value",
      "studentCorrespondence": "example_value",
      "courtOrderRestriction": "example_value",
      "parentalBallot": "example_value",
      "armedForceMember": "example_value",
      "translatorRequired": "example_value",
      "livesWithStudent": "example_value",
      "contactBloodGroup": "example_value",
      "contactNHSNumber": "example_value",
      "contactMotherTongueState": "example_value",
      "firstLanguage": "example_value",
      "alternativeContactNotes": "example_value",
      "sourceOfContactPriority": "example_value",
      "formsOfWrittenContactDescription": "example_value",
      "homeAddressSameAsStudent": "example_value",
      "created_at": "example_value",
      "updated_at": "example_value",
      "school_id": "example_value"
    }
  ]
}
                    

Query Parameters

api_token

Required. Your unique API key must be passed as a query string parameter.

school

Optional. A Bromcom school ID to restrict rows to one school.

page

Optional. Defaults to 1. Used to navigate through paginated results.

per_page

Optional. Rows per page, up to 500 (the default). Follow next_page_url for the rest.